Update individual fields of an instruction

View as Markdown

Update specific fields of the instruction. This operation is only permitted when the simulation is in the ACTIVE or INACTIVE state and the instruction is not in the IN_PROGRESS state.

Required scope: air:simulation_edit (roles: air_org_admin, air_user)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this instruction.

Request

This endpoint expects an object.
namestringOptional<=256 characters
The name of the instruction.
run_again_on_rebuildbooleanOptional
If the instruction should be run again if the simulation is rebuilt.

Response

InitInstructionReadobject
Representation of a hostname assignment instruction.
OR
FileInstructionReadobject
Representation of an instruction that writes files to a node.
OR
ShellInstructionReadobject
Representation of an arbitrary shell execution instruction.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error